Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.protocol
Class PersonHistoryNameReply

    java.lang.Object
      be.fgov.ehealth.commons._1_0.protocol.ResponseType
          be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnReplyType
              be.fgov.ehealth.consultrn._1_0.protocol.PersonHistoryNameReply

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:21:54+01:00",
               comments="JAXB RI v2.2.11")
    public class PersonHistoryNameReply

extends ConsultRnReplyType
implements Serializable

reply of service PersonHistory

Java class for PersonHistoryNameReplyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PersonHistoryNameReplyType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:consultRN:1_0:protocol}ConsultRnReplyType">
           <sequence>
             <element name="SSIN" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="NameHistory" type="{urn:be:fgov:ehealth:consultRN:1_0:core}NameHistoryType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PersonHistoryNameReply()`

Method Summary
`List<NameHistoryType>` | `getNameHistories()` Gets the value of the nameHistories property.
`String` | `getSSIN()` Gets the value of the ssin property.
`void` | `setSSIN(String value)` Sets the value of the ssin property.

Methods inherited from class be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnReplyType
`getErrorInformations`

Methods inherited from class be.fgov.ehealth.commons._1_0.protocol.ResponseType
`getId, getStatus, setId, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersonHistoryNameReply

    public PersonHistoryNameReply()

Method Detail

### getSSIN

    public String getSSIN()

  Gets the value of the ssin property.

  Returns:
    possible object is `String`

### setSSIN

    public void setSSIN(String value)

  Sets the value of the ssin property.

  Parameters:
    `value` - allowed object is `String`

### getNameHistories

    public List<NameHistoryType> getNameHistories()

  Gets the value of the nameHistories property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nameHistories property.

  For example, to add a new item, do as follows:

          getNameHistories().add(newItem);

  Objects of the following type(s) are allowed in the list `NameHistoryType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.